﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace TelerikXamarin.Portable
{
    public partial class StartPage : ContentPage
    {
        public StartPage()
        {
            InitializeComponent();
        }
    }

    public class ViewModel
    {
        public ViewModel()
        {
            LoadData();
        }

        public ObservableCollection<CategoricalData> Data1 { get; set; }
        public ObservableCollection<CategoricalData> Data2 { get; set; }
        public ObservableCollection<CategoricalData> Data3 { get; set; }

        private void LoadData()
        {
            Data1 = new ObservableCollection<CategoricalData>
            {
                new CategoricalData { Category = "A", Value = 4 },
                new CategoricalData { Category = "B", Value = 2 },
                new CategoricalData { Category = "C", Value = 5 },
                new CategoricalData { Category = "D", Value = 1 },
                new CategoricalData { Category = "E", Value = 3 },
            };

            Data2 = new ObservableCollection<CategoricalData>
            {
                new CategoricalData { Category = "A", Value = 1 },
                new CategoricalData { Category = "B", Value = 4 },
                new CategoricalData { Category = "C", Value = 3 },
                new CategoricalData { Category = "D", Value = 5 },
                new CategoricalData { Category = "E", Value = 1 },
            };

            Data3 = new ObservableCollection<CategoricalData>
            {
                new CategoricalData { Category = "A", Value = 5 },
                new CategoricalData { Category = "B", Value = 3 },
                new CategoricalData { Category = "C", Value = 1 },
                new CategoricalData { Category = "D", Value = 2 },
                new CategoricalData { Category = "E", Value = 4 },
            };
        }
    }

    public class CategoricalData
    {
        public string Category { get; set; }
        public double Value { get; set; }
    }
}